const http = require('http')
const chalk = require('chalk')
const config = require('./config/defaultConfig')
const path = require('path')
const route = require('./helper/route')
const openUrl = require('./helper/openUrl')

// const iconv = require('iconv-lite')
class Server {
  constructor (config1) {
    this.config = Object.assign({}, config, config1)
  }
  start () {
    const server = http.createServer((req, res) => {
      const filePath = path.join(this.config.root, req.url)
      route(req, res, filePath, config)
      // res.write('<html>')
      // res.write('<body>')
      // res.write('<div>')
      // res.write('hello http!')
      // res.write('</div>')
      // res.write('</body>')
      // res.end('</html>')
    })
    // hahahha
    server.listen(this.config.port, this.config.hostname, () => {
      const addr = `http://${this.config.hostname}:${this.config.port}`
      // eslint-disable-next-line no-console
      console.log(`Server started at ${chalk.green(addr)}`)
      openUrl(addr)
    })
  }
}

module.exports = Server
